# Pdo

pdo is a wrapper for running commands on or against multiple hosts at
the same time.

## Installation

Add this line to your application's Gemfile:

    gem 'pdo'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install pdo

## Usage

The following usage examples assume the host definition file in the
example/ directory is used.

### to list the hosts or groups

    $ pdo -g /
    $ pdo -g dc0/perf

### to enumerate hosts in groups

    $ pdo -g lab0 --enum
    $ pdo -g dc0/perf --enum

### to count # of hosts in groups

    $ pdo -g dc0/func,dc0/perf --count
    $ pdo -g lab0/empty --count

### to run 'ls -l' on some hosts

    $ pdo -g env0 -c 'ls -l' -t 3 -y

### to rsync some file to some hosts

    $ pdo -g lab0/dc1/util -c "rsync -avc example.txt _HOST_:/var/tmp/" -l -t 5


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

