# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pdo/version'

Gem::Specification.new do |gem|
  gem.name          = 'pdo'
  gem.license       = 'MIT'
  gem.version       = PDO::VERSION
  gem.authors       = ['bqbn']
  gem.email         = ['bqbn@openken.com']
  gem.description   = 'pdo is a wrapper for running commands on or '\
                      'against multiple hosts at the same time.'
  gem.summary       = 'pdo is a wrapper for running commands on or '\
                      'against multiple hosts at the same time.'
  gem.homepage      = 'https://github.com/bqbn/pdo'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.required_ruby_version = '>= 1.9.3'
  gem.add_dependency('log4r', '> 1.1.9')
end
# vim: set et ts=2 sts=2 sw=2 si sta :
